Name: ocaml
Version: 1.07
Release: 5
Summary: The Objective Caml compiler and programming environment
Source0: ftp://ftp.inria.fr/lang/caml-light/ocaml-1.07.tar.gz
Source1: ftp://ftp.inria.fr/lang/caml-light/ocaml-1.07-refman.html.tar.gz
Source2: ftp://ftp.inria.fr/lang/caml-light/ocaml-1.07-refman.ps.gz
## Source3: ftp://ftp.inria.fr/lang/caml-light/ocamltk41-R106.tar.gz
Copyright: freely redistributable
Group: Development/Languages
Vendor: INRIA Rocquencourt
URL: http://pauillac.inria.fr/caml/
BuildRoot: /tmp/ocaml-root

%description
Objective Caml is a high-level, strongly-typed, functional and
object-oriented programming language from the ML family of languages.

This package comprises two batch compilers (a fast bytecode compiler
and an optimizing native-code compiler), an interactive toplevel system,
Lex&Yacc tools, a replay debugger, and a comprehensive library.

%prep
%setup -T -b 0
%setup -T -D -a 1
## %setup -T -D -a 3
## mv ocamltk41 otherlibs/ocamltk41
cp ../../SOURCES/ocaml-1.07-refman.ps.gz refman.ps.gz

%build
./configure -bindir /usr/bin -libdir /usr/lib/ocaml -mandir /usr/man/man1
## cat > otherlibs/ocamltk41/site.config.redhat << 'EOF'
## OCAMLLIBDIR=/usr/lib/ocaml
## CPPFLAGS=-I/usr/X11R6/include
## EOF
## (cd otherlibs/ocamltk41; ./configure --with-config=site.config.redhat)
make world opt
rm -rf /usr/lib/ocaml
## cd otherlibs/ocamltk41
## make all opt
## make install installopt
## rm /usr/lib/ocaml/camltk41/ocamltktop

%install
rm -rf $RPM_BUILD_ROOT
echo BINDIR=$RPM_BUILD_ROOT/usr/bin >> config/Makefile
echo LIBDIR=$RPM_BUILD_ROOT/usr/lib/ocaml >> config/Makefile
echo MANDIR=$RPM_BUILD_ROOT/usr/man/man1 >> config/Makefile
make install
cp {parsing/{location,longident,parsetree},typing/typecore}.{cm,ml}i $RPM_BUILD_ROOT/usr/lib/ocaml
(cd emacs; make install EMACSDIR=$RPM_BUILD_ROOT/usr/lib/emacs/site-lisp)

%files
/usr/bin/ocaml
/usr/bin/ocamlc
/usr/bin/ocamlcp
/usr/bin/ocamldebug
/usr/bin/ocamldep
/usr/bin/ocamllex
/usr/bin/ocamlmktop
/usr/bin/ocamlopt
/usr/bin/ocamlprof
/usr/bin/ocamlrun
/usr/bin/ocamlyacc
/usr/lib/ocaml
/usr/man/man1/ocaml.1
/usr/man/man1/ocamlc.1
/usr/man/man1/ocamlcp.1
/usr/man/man1/ocamldep.1
/usr/man/man1/ocamllex.1
/usr/man/man1/ocamlopt.1
/usr/man/man1/ocamlprof.1
/usr/man/man1/ocamlrun.1
/usr/man/man1/ocamlyacc.1
/usr/lib/emacs/site-lisp/caml-font.el
/usr/lib/emacs/site-lisp/caml-hilit.el
/usr/lib/emacs/site-lisp/caml.el
/usr/lib/emacs/site-lisp/camldebug.el
/usr/lib/emacs/site-lisp/inf-caml.el
%doc refman.ps.gz htmlman
